Announcements‎ > ‎

Release 2.1 - April 12, 2016

posted Feb 15, 2016, 3:22 PM by Max Tardiveau   [ updated Feb 16, 2016, 3:01 PM ]
Tomcat 8.0.32 is NOT supported -- there is a bug in org.apache.catalina.loader.WebappClassLoaderBase.filter which prevents the proper operation of the DBaseTypes resource. The bug is that, if the Tomcat classloader is asked about a class named "org" (as will happen if the JavaScript engine requests a class), there is an exception:

java.lang.StringIndexOutOfBoundsException: String index out of range: 3
at java.lang.String.charAt(String.java:658)
at org.apache.catalina.loader.WebappClassLoaderBase.filter(WebappClassLoaderBase.java:2780)
at org.apache.catalina.loader.WebappClassLoaderBase.loadClass(WebappClassLoaderBase.java:1253)

The Tomcat team are aware of this problem (https://bz.apache.org/bugzilla/show_bug.cgi?id=58999), it should be fixed in the next release.

Comments